net.snowflake.client

## Enum IngestFilesTester.FileFormat

- java.lang.Object
- - java.lang.Enum<IngestFilesTester.FileFormat>
  - - net.snowflake.client.IngestFilesTester.FileFormat

All Implemented Interfaces:
  Serializable, Comparable<IngestFilesTester.FileFormat>

Enclosing class:
  IngestFilesTester

    public static enum IngestFilesTester.FileFormat
    extends Enum<IngestFilesTester.FileFormat>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AVRO`
`CSV`
`JSON`
`XML`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getFormatName()`
`static IngestFilesTester.FileFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IngestFilesTester.FileFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CSV

    public static final IngestFilesTester.FileFormat CSV

#### JSON

    public static final IngestFilesTester.FileFormat JSON

#### AVRO

    public static final IngestFilesTester.FileFormat AVRO

#### XML

    public static final IngestFilesTester.FileFormat XML

### Method Detail

#### values

    public static IngestFilesTester.FileFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IngestFilesTester.FileFormat c : IngestFilesTester.FileFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IngestFilesTester.FileFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getFormatName

    public String getFormatName()